WebLogicEJBContainer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicEJBContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicEJBContainer

All Superinterfaces:
  EJBContainer, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareContainer

    public interface WebLogicEJBContainer

extends EJBContainer

A WebLogic EJB Container.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getExtraRmicOptions()`
`java.lang.String` | `getJavaCompiler()`
`java.lang.String` | `getJavaCompilerPostClassPath()`
`java.lang.String` | `getJavaCompilerPreClassPath()`
`boolean` | `getKeepGenerated()`
`java.lang.String` | `getTmpPath()`
`boolean` | `getVerboseEJBDeploymentEnabled()`
`boolean` | `hasExtraRmicOptions()`
`boolean` | `hasJavaCompiler()`
`boolean` | `hasJavaCompilerPostClassPath()`
`boolean` | `hasJavaCompilerPreClassPath()`
`boolean` | `hasKeepGenerated()`
`boolean` | `hasTmpPath()`
`boolean` | `hasVerboseEJBDeploymentEnabled()`
`void` | `setExtraRmicOptions(java.lang.String s)`
`void` | `setJavaCompiler(java.lang.String s)`
`void` | `setJavaCompilerPostClassPath(java.lang.String s)`
`void` | `setJavaCompilerPreClassPath(java.lang.String s)`
`void` | `setKeepGenerated(boolean b)`
`void` | `setTmpPath(java.lang.String s)`
`void` | `setVerboseEJBDeploymentEnabled(boolean b)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareContainer
`getBindAddresses, getName, getParent, getStatus, hasBindAddresses, hasName, hasParent, hasStatus, setBindAddresses, setName, setParent, setStatus`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getExtraRmicOptions

    java.lang.String getExtraRmicOptions()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setExtraRmicOptions

    void setExtraRmicOptions(java.lang.String s)

### hasExtraRmicOptions

    boolean hasExtraRmicOptions()

### getJavaCompiler

    java.lang.String getJavaCompiler()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompiler

    void setJavaCompiler(java.lang.String s)

### hasJavaCompiler

    boolean hasJavaCompiler()

### getJavaCompilerPostClassPath

    java.lang.String getJavaCompilerPostClassPath()
                                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompilerPostClassPath

    void setJavaCompilerPostClassPath(java.lang.String s)

### hasJavaCompilerPostClassPath

    boolean hasJavaCompilerPostClassPath()

### getJavaCompilerPreClassPath

    java.lang.String getJavaCompilerPreClassPath()
                                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJavaCompilerPreClassPath

    void setJavaCompilerPreClassPath(java.lang.String s)

### hasJavaCompilerPreClassPath

    boolean hasJavaCompilerPreClassPath()

### getTmpPath

    java.lang.String getTmpPath()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTmpPath

    void setTmpPath(java.lang.String s)

### hasTmpPath

    boolean hasTmpPath()

### getKeepGenerated

    boolean getKeepGenerated()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setKeepGenerated

    void setKeepGenerated(boolean b)

### hasKeepGenerated

    boolean hasKeepGenerated()

### getVerboseEJBDeploymentEnabled

    boolean getVerboseEJBDeploymentEnabled()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVerboseEJBDeploymentEnabled

    void setVerboseEJBDeploymentEnabled(boolean b)

### hasVerboseEJBDeploymentEnabled

    boolean hasVerboseEJBDeploymentEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD